<!-- res/layout/activity_login.xml -->

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"

    android:background="@mipmap/background">

    <RelativeLayout
        android:id="@+id/layout_titlebar"
        android:layout_width="match_parent"
        android:layout_height="52dp"
        android:layout_alignParentStart="true"
        android:layout_alignParentTop="true"
        android:background="#191970">

        <Button
            android:id="@+id/btn_AfterSleep"
            android:layout_width="71dp"
            android:layout_height="match_parent"

            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true"
            android:background="#191970"
            android:drawableLeft="@drawable/arrow_back"
            android:drawablePadding="6dp"
            android:ellipsize="end"
            android:gravity="center"
            android:paddingLeft="5dp"
            android:singleLine="true"
            android:text="返回"
            android:textAlignment="center"
            android:textAllCaps="false"
            android:textColor="@color/colorWhite"
            android:textSize="18sp" />

        <TextView
            android:id="@+id/text_title"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true"
            android:ellipsize="marquee"
            android:gravity="center_horizontal|center"
            android:singleLine="true"
            android:text="睡眠助手"
            android:textAlignment="center"
            android:textColor="#ffffffff"
            android:textSize="20dp" />

    </RelativeLayout>


    <EditText
        android:padding="16dp"
        android:layout_below="@id/layout_titlebar"
        android:id="@+id/usernameEditText"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="Username"
        android:textColor="#fff"
        android:textColorHint="@color/transparent_gray"
        android:layout_marginTop="16dp"
        android:layout_centerHorizontal="true"
        android:textSize="18sp"/>

    <EditText
        android:padding="16dp"
        android:textColorHint="@color/transparent_gray"
        android:id="@+id/passwordEditText"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="Password"
        android:textColor="#fff"
        android:layout_below="@+id/usernameEditText"
        android:layout_marginTop="8dp"
        android:layout_centerHorizontal="true"
        android:inputType="textPassword"
        android:textSize="18sp"/>

    <Button
        android:padding="16dp"
        android:id="@+id/loginButton"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="登陆"
        android:visibility="gone"
        android:layout_below="@+id/passwordEditText"
        android:layout_marginTop="16dp"
        android:textSize="18sp"/>

    <Button
        android:layout_margin="16dp"
        android:id="@+id/registerButton"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="注册"
        android:layout_below="@+id/loginButton"
        android:layout_marginTop="16dp"
        android:textSize="18sp"/>

</RelativeLayout>
